import request from '@/utils/request'

// 人员管理- 查询列表
export function listPersonAPI(query) {
    return request({
        url: '/personnel/getPersonnelList',
        method: 'GET',
        params: query,
    })
}

// 人员管理- 新增
export function addPersonAPI(data) {
    return request({
        url: '/personnel/addPersonnel',
        method: 'POST',
        data,
    })
}

// 人员管理- 修改
export function updatePersonAPI(data) {
    return request({
        url: '/personnel/updatePersonnel',
        method: 'POST',
        data,
    })
}

// 人员管理- 删除
export function delPersonAPI(data) {
    return request({
        url: `/personnel/delPersonnel`,
        method: 'POST',
        data,
    })
}
